import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HealthmonitorCreateComponent } from './healthmonitor-create.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('HealthmonitorCreateComponent', () => {
  let component: HealthmonitorCreateComponent;
  let fixture: ComponentFixture<HealthmonitorCreateComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HealthmonitorCreateComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HealthmonitorCreateComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
